Loading...
Searching...
No Matches
casacore::LogHolderIterEntry Class Reference
tables package (libcasa_tables) » LogTables_module » LogTables_module_internal_classes

Class representing an entry in a LoggerHolder. More...

`#include <LoggerHolder.h>`

## Public Member Functions

| LogHolderIterEntry ()
| LogHolderIterEntry (const LogSink *sink, uInt index)
| LogHolderIterEntry (const LogHolderIterEntry &that)
| ~LogHolderIterEntry ()
LogHolderIterEntry & | operator= (const LogHolderIterEntry &that)
Double | time () const
| Get the message parts.
String | message () const
String | priority () const
String | location () const
String | objectID () const

## Private Attributes

const LogSink * | itsSink
uInt | itsIndex

## Detailed Description

Class representing an entry in a LoggerHolder.

### Intended use:

Internal

### Review Status

Test programs:
  tLoggerHolder

### Prerequisite

- LoggerHolder

### Synopsis

This class makes it possible to use the iterator in the STL-style. It only contains a 'pointer' to the current entry in the current logger. Function like time() can be used to retrieve the message parts.

Definition at line 362 of file LoggerHolder.h.

## Constructor & Destructor Documentation

## LogHolderIterEntry() [1/3]

casacore::LogHolderIterEntry::LogHolderIterEntry | ( |  | ) |

inline

Definition at line 365 of file LoggerHolder.h.

References itsIndex, and itsSink.

Referenced by LogHolderIterEntry(), and operator=().

## LogHolderIterEntry() [2/3]

casacore::LogHolderIterEntry::LogHolderIterEntry | ( | const LogSink * | sink,
|  | uInt | index )

inline

Definition at line 368 of file LoggerHolder.h.

References itsIndex, and itsSink.

## LogHolderIterEntry() [3/3]

casacore::LogHolderIterEntry::LogHolderIterEntry | ( | const LogHolderIterEntry & | that | ) |

inline

Definition at line 371 of file LoggerHolder.h.

References itsIndex, itsSink, and LogHolderIterEntry().

## ~LogHolderIterEntry()

casacore::LogHolderIterEntry::~LogHolderIterEntry | ( |  | ) |

inline

Definition at line 374 of file LoggerHolder.h.

## Member Function Documentation

## location()

String casacore::LogHolderIterEntry::location | ( |  | ) | const

inline

Definition at line 388 of file LoggerHolder.h.

References itsIndex, and itsSink.

## message()

String casacore::LogHolderIterEntry::message | ( |  | ) | const

inline

Definition at line 384 of file LoggerHolder.h.

References itsIndex, and itsSink.

## objectID()

String casacore::LogHolderIterEntry::objectID | ( |  | ) | const

inline

Definition at line 390 of file LoggerHolder.h.

References itsIndex, and itsSink.

## operator=()

LogHolderIterEntry & casacore::LogHolderIterEntry::operator= | ( | const LogHolderIterEntry & | that | ) |

inline

Definition at line 377 of file LoggerHolder.h.

References itsIndex, itsSink, and LogHolderIterEntry().

## priority()

String casacore::LogHolderIterEntry::priority | ( |  | ) | const

inline

Definition at line 386 of file LoggerHolder.h.

References itsIndex, and itsSink.

## time()

Double casacore::LogHolderIterEntry::time | ( |  | ) | const

inline

Get the message parts.

Definition at line 382 of file LoggerHolder.h.

References itsIndex, and itsSink.

## Member Data Documentation

## itsIndex

uInt casacore::LogHolderIterEntry::itsIndex

private

Definition at line 396 of file LoggerHolder.h.

Referenced by location(), LogHolderIterEntry(), LogHolderIterEntry(), LogHolderIterEntry(), message(), objectID(), operator=(), priority(), and time().

## itsSink

const LogSink* casacore::LogHolderIterEntry::itsSink

private

Definition at line 395 of file LoggerHolder.h.

Referenced by location(), LogHolderIterEntry(), LogHolderIterEntry(), LogHolderIterEntry(), message(), objectID(), operator=(), priority(), and time().

The documentation for this class was generated from the following file:

- tables/LogTables/LoggerHolder.h